%define py_ver      1.5
%define pygtk_ver   0.6.8
%define pygnome_ver 1.4.1

Summary:         The sources for the PyGTK and PyGNOME Python extension modules.
Name:            gnome-python
Version:         %{pygnome_ver}
Release:         1
Source:          ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%{pygnome_ver}.tar.gz
License:         LGPL
Group:           System Environment/Libraries
BuildRoot:       /var/tmp/gnome-python-root
Requires:        gtk+ >= 1.2.6
Requires:        gnome-libs >= 1.2.0
Requires:        pygtk = %{pygtk_ver}
BuildRequires:   gnome-libs-devel, gnome-core-devel
BuildRequires:   control-center-devel, libglade-devel
BuildRequires:   gdk-pixbuf-devel, gtkglarea
BuildRequires:   imlib-devel >= 1.8.2


%description
The gnome-python package contains the source packages for the Python
bindings for GTK+ and GNOME (PyGTK and PyGNOME, respectively). 

PyGTK is an extension module for Python that provides access to the
GTK+ widget set. Just about anything (within reason) you can write in
C with GTK+, you can write in Python with PyGTK, but with all of
benefits of Python.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package -n pygtk
Version:    %{pygtk_ver}
Summary:    Python bindings for the GTK+ widget set.
Group:      Development/Languages
Requires:   glib, imlib
Requires:   python >= 1.5.2
Requires:   gtk+ >= 1.2.6

%description -n pygtk
PyGTK is an extension module for Python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in Python with PyGTK (within reason), but with all of
benefits of Python. PyGTK provides an object-oriented interface at a
slightly higher level than the C interface. The PyGTK interface does
all of the type casting and reference counting that you would have to
do yourself using the C API.

Install pygtk if you need Python bindings for the GTK+ widget set.

%package -n pygtk-glarea
Version:    %{pygtk_ver}
Summary:    A wrapper for the GtkGLArea widget for use with PyGTK
Group:      Development/Languages
Requires:   pygtk = %{pygtk_ver}

%description -n pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.

%package -n pygtk-libglade
Version:    %{pygtk_ver}
Summary:    A wrapper for the libglade library for use with PyGTK
Group:      Development/Languages
Requires:   pygtk = %{pygtk_ver}

%description -n pygtk-libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package -n pygtk-devel
Version:    %{pygtk_ver}
Summary:    files needed to build wrappers for GTK+ addon libraries
Group:      Development/Languages
Requires:   pygtk = %{pygtk_ver}

%description -n pygtk-devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%package -n pygnome-libglade
Version:    %{pygnome_ver}
Summary:    GNOME support for the libglade python wrapper
Group:      Development/Languages
Requires:   pygnome = %{pygnome_ver}
Requires:   pygtk-libglade = %{pygtk_ver}

%description -n pygnome-libglade
This module contains GNOME support to suppliment the libglade python
wrapper.  Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%package -n pygnome
Version:    %{pygnome_ver}
Summary:    Python bindings for the GNOME libraries.
Group:      Development/Languages
Requires:   pygtk = %{pygtk_ver}
Requires:   gnome-libs

%description -n pygnome
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.

Install pygnome if you need Python bindings for the GNOME libraries.

%package -n pygnome-applet
Version:    %{pygnome_ver}
Summary:    Python bindings for GNOME Panel applets.
Group:      Development/Languages
Requires:   pygnome = %{pygnome_ver}

%description -n pygnome-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n pygnome-capplet
Version:    %{pygnome_ver}
Summary:    Python bindings for GNOME Panel applets.
Group:      Development/Languages
Requires:   pygnome = %{pygnome_ver}

%description -n pygnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package -n pygnome-devel
Version:    %{pygnome_ver}
Summary:    files that are useful for wrapping GNOME addon libraries
Group:      Development/Languages
Requires:   pygtk-devel = %{pygtk_ver}
Requires:   pygnome = %{pygnome_ver}

%description -n pygnome-devel
This package contains files required to build wrappers for GNOME addon
libraries so that they interoperate with pygnome.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --libdir=%{_libdir} --bindir=%{_bindir} \
    --includedir=%{_includedir} --datadir=%{_datadir}

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} install

#DESTDIR=$RPM_BUILD_ROOT install

%files -n pygtk
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/gtk.py*
%{_libdir}/python%{py_ver}/site-packages/GtkExtra.py*
%{_libdir}/python%{py_ver}/site-packages/GTK.py*
%{_libdir}/python%{py_ver}/site-packages/GDK.py*
%{_libdir}/python%{py_ver}/site-packages/GdkImlib.py*
%{_libdir}/python%{py_ver}/site-packages/pyglade/*.py*

%{_libdir}/python%{py_ver}/site-packages/_gtkmodule.so
%{_libdir}/python%{py_ver}/site-packages/_gdkimlibmodule.so
%{_libdir}/python%{py_ver}/site-packages/gdkpixbufmodule.so

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog
%doc pygtk/description.py pygtk/examples

%files -n pygtk-glarea
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/gtkgl.py*
%{_libdir}/python%{py_ver}/site-packages/_gtkglmodule.so

%files -n pygtk-libglade
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/libglade.py*
%{_libdir}/python%{py_ver}/site-packages/_libglademodule.so

%files -n pygtk-devel
%defattr (-, root, root)
%{_bindir}/*
%{_includedir}/pygtk
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/1.2
%dir %{_datadir}/pygtk/1.2/codegen
%dir %{_datadir}/pygtk/1.2/defs
%{_datadir}/pygtk/1.2/codegen/*
%{_datadir}/pygtk/1.2/defs/gtk.defs
%{_datadir}/pygtk/1.2/defs/gtkbase.defs
%{_datadir}/pygtk/1.2/defs/gtkcontainers.defs
%{_datadir}/pygtk/1.2/defs/gtkdata.defs
%{_datadir}/pygtk/1.2/defs/gtkdnd.defs
%{_datadir}/pygtk/1.2/defs/gtkedit.defs
%{_datadir}/pygtk/1.2/defs/gtkenums.defs
%{_datadir}/pygtk/1.2/defs/gtkgl.defs
%{_datadir}/pygtk/1.2/defs/gtklists.defs
%{_datadir}/pygtk/1.2/defs/gtkmenus.defs
%{_datadir}/pygtk/1.2/defs/gtkmisc.defs
%{_datadir}/pygtk/1.2/defs/gtkranges.defs
%{_datadir}/pygtk/1.2/defs/libglade.defs

%files -n pygnome
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/gettext.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/__init__.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/affine.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/config.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/file.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/help.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/history.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/metadata.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/mime.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/score.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/triggers.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/ui.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/uiconsts.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/url.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/xmhtml.py*
%{_libdir}/python%{py_ver}/site-packages/gnome/zvt.py*

%{_libdir}/python%{py_ver}/site-packages/_gnomemodule.so
%{_libdir}/python%{py_ver}/site-packages/_gnomeuimodule.so
%{_libdir}/python%{py_ver}/site-packages/_zvtmodule.so
%{_libdir}/python%{py_ver}/site-packages/_gtkxmhtmlmodule.so

%doc AUTHORS NEWS README ChangeLog
%doc pygnome/examples

%files -n pygnome-libglade
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/_gladegnomemodule.so

# the following are only included if gnome-core and control-center were
# installed during the build
%files -n pygnome-applet
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/_appletmodule.so
%{_libdir}/python%{py_ver}/site-packages/gnome/applet.py*

%files -n pygnome-capplet
%defattr (-, root, root)
%{_libdir}/python%{py_ver}/site-packages/_cappletmodule.so
%{_libdir}/python%{py_ver}/site-packages/gnome/capplet.py*

%files -n pygnome-devel
%defattr (-, root, root)
%{_datadir}/pygtk/1.2/defs/applet.defs
%{_datadir}/pygtk/1.2/defs/capplet.defs
%{_datadir}/pygtk/1.2/defs/gnome-enums.defs
%{_datadir}/pygtk/1.2/defs/gnome.defs
%{_datadir}/pygtk/1.2/defs/gnomeui.defs
%{_datadir}/pygtk/1.2/defs/gtkhtml.defs
%{_datadir}/pygtk/1.2/defs/xmhtml.defs
%{_datadir}/pygtk/1.2/defs/zvt.defs

%changelog
* Fri May 25 2001 Gregory Leblanc <gleblanc@localhost.localdomain>
- fixed configure, make install, and %files to use macros for paths
- reformatted Requires lines
- replaced Copyright with License

* Fri Jan 21 2000 Matt Wilson <msw@redhat.com>
- added pygnome-libglade subpackage

* Wed Jan  5 2000 Matt Wilson <msw@redhat.com>
- split applet and capplet modules into their own package
